# disable -debuginfo RPM generation
%global debug_package %{nil}

Summary: Simple Network Backup Utility
Name: pukcab
Version: 1.5.84
Release: 1
Source: http://www.ezix.org/software/files/%{name}-%{version}.tar.gz
URL: http://ezix.org/project/wiki/Pukcab
License: GPL
Group: Applications/System
BuildRequires: golang
BuildRequires: git

%description
Pukcab is a lightweight, single-binary backup system that stores de-duplicated, compressed and incremental backups on a remote server using just an SSH connection.

%package client
BuildArch: noarch
Summary: Simple Network Backup Utility (client)
Group: Applications/System
Requires: openssh-clients
Requires: tar
Requires: %{name} >= %{version}

%description client
Pukcab is a lightweight, single-binary backup system that stores de-duplicated, compressed and incremental backups on a remote server using just an SSH connection.

This package ensures a system can act as a pukcab client.

%package server
BuildArch: noarch
Summary: Simple Network Backup Utility (server)
Group: Applications/System
Requires: openssh-server
Requires: %{name} >= %{version}

%description server
Pukcab is a lightweight, single-binary backup system that stores de-duplicated, compressed and incremental backups on a remote server using just an SSH connection.

This package ensures a system can act as a pukcab server.

%prep
%setup -q

%build
%{__make} VERSION=%{version}

%install
%{__rm} -rf "%{buildroot}"

%{__install} -D pukcab "%{buildroot}%{_bindir}/pukcab"

%clean
%{__rm} -rf %{buildroot}

%pre server
id pukcab || useradd -r -m -d "%{_localstatedir}/pukcab" pukcab || true

%files
%defattr(-,root,root, 0555)
%doc MANUAL.html
%config(noreplace) %attr(0555 ,root,root) %ghost %{_sysconfdir}/%{name}.conf
%{_bindir}/*

%files client

%files server
%dir %ghost %{_localstatedir}/pukcab

%changelog
* Wed Feb 18 2015 Lyonel Vincent <lyonel@ezix.org> 1.1-1
- RPM packaging
